#ifndef ACOMP_INCLUDED
#define ACOMP_INCLUDED

struct sino_info{
 int    n_theta;
 int    n_t;
 double  delta_theta;
 double  delta_t;
 double  theta_0;
 double  t_0;
 int dec_a, dec_t;
 double max_delta_t;
 };


struct A_correction{
 double **Y_t; /* forward projected transmission sino    */
 char mode;   /* 'e' for emission, 't' for transmission */
};


struct column{
 double *val;
 int *row;
 int n_row;
 double multiplier;
 struct A_correction A_cor;
};

struct column_flt{
 float *val;
 unsigned short *row;
 int n_row;
 double multiplier;
 struct A_correction A_cor;
};




struct geom_info{
 double delta;
 double x_0;
 double y_0;
 int n_y;
 int n_x;
 double dia;
 };

void pix_prof_comp(
 struct sino_info *sino,
 struct geom_info *geom,
 double ***pix_prof);

void A_comp(
 int im_row, int im_col,
 struct sino_info *sino,
 struct geom_info *geom,
 double **pix_prof,
 struct column *sp_col, int res_level);

#include <mat.h>

void read_mat_sino_info(
  MATFile *fin,       /* pointer to file */
  struct sino_info *sino /* Structure of specs from sinogram    */
  );

#endif
